<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>JS Intro: Variables and Data Types</title>

	<!-- is index.html a required name for an html file? --><!-- 
	 the name "index" is considered as the default homepage name.
	 ...why?
	 "indexing" -> it is the considered as the main root component/ page of most web application projects because it index/ catalogs the available pages found inside the app.
	 ...why? websites are built inside of directories of web servers. for your website, you must have/save each webpage with a separate file. 
	 ...the "index" name is widely recognized by most web servers as the default entry point of your web application. -->

	 <!-- we want to create a separate module/document for our JS script -->
</head>
<body>
	<!-- attach/link the js document with the html file -->
	<script src="./index.js"></script>
	<!-- check if the file was successfully attached -->
</body>
</html>